Delete Role from Context
Deletes the specified Role from a Context. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.
Deletes the specified Role from a Context.
This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.
Tenant API Key for authentication
In: query
Tenant API Secret for authentication
In: query
Path Parameters
UID of the User
Name of the Role Context
Query Parameters
When true, suppresses webhook events for this operation.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.loginradius.com/identity/v2/manage/account/680fada271a140ebc0716144/rolecontext/Home/role?prevent_webhook=true" \ -H "Content-Type: application/json" \ -d '{ "roles": [ "Admin", "Student" ] }'{
"IsDeleted": true
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The uid is a required parameter."
}{
"ErrorCode": 902,
"Message": "The API secret is unauthorized",
"Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}{
"ErrorCode": 1039,
"Message": "An email profile is not created or does not exist",
"Description": "An email profile is not created on this Account ID, please use a valid Account ID or create an email profile before processing this request."
}Assign Roles by UID PUT
Updates and assigns Roles to a User using the UID. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.
Delete Additional Permissions from Context DELETE
Removes specified additional Permissions from a Context. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.